#include "user.h"
#include "hashtools.h"
#include <QCryptographicHash>

const QString User::TypeUserDBInstructor = "instructor";
const QString User::TypeUserDBTrainee = "trainee";

User::User():
    BasicEntity(),
    login(),
    password(),
    archived(),
    loggedIn(),
    TypeUserDB(),
    isAdmin(false),
    needSetPassword(false)
{

}

void User::hashingPassword()
{
     // Вычисление MD5 хэша
     password = HashTools::hashingMD5string(password);
}
